/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-16-2011 09:08:46pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\greater\deathspell.cs
Lines of code: 49

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class deathspell : Mace
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public deathspell() : base()
		{
			Name="Deathspell";
			Hue=1364;


			Attributes.WeaponSpeed=50;
			Attributes.SpellChanneling=1;
			
			WeaponAttributes.HitFireball = 20;
			WeaponAttributes.HitHarm = 20;
			WeaponAttributes.HitLightning = 20;		
		
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=100;	
		}
		

		

		public deathspell( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 3 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			if( version == 2 )
			{
				AosElementDamages.Physical=0;
				AosElementDamages.Fire=0;
				AosElementDamages.Cold=0;
				AosElementDamages.Poison=0;
				AosElementDamages.Energy=0;
				AosElementDamages.Chaos=100;	
			}
				
		}		
	}
	
}